Skip to main content
GET
/
legal_pages
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.legalPages.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "title": "<string>",
      "slug": "<string>",
      "body": "<string>",
      "policy_type": "terms_of_service",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

policy_type
enum<string>

Filter by policy type: terms_of_service, privacy_policy, refund_policy

Available options:
terms_of_service,
privacy_policy,
refund_policy
query
string

Search by title

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of legal pages

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required